{
	"patcher" : 	{
		"fileversion" : 1,
		"appversion" : 		{
			"major" : 7,
			"minor" : 2,
			"revision" : 3,
			"architecture" : "x64",
			"modernui" : 1
		}
,
		"rect" : [ 144.0, 122.0, 640.0, 480.0 ],
		"bglocked" : 0,
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 1,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 1,
		"objectsnaponopen" : 1,
		"statusbarvisible" : 2,
		"toolbarvisible" : 1,
		"lefttoolbarpinned" : 0,
		"toptoolbarpinned" : 0,
		"righttoolbarpinned" : 0,
		"bottomtoolbarpinned" : 0,
		"toolbars_unpinned_last_save" : 0,
		"tallnewobj" : 0,
		"boxanimatetime" : 200,
		"enablehscroll" : 1,
		"enablevscroll" : 1,
		"devicewidth" : 0.0,
		"description" : "",
		"digest" : "",
		"tags" : "",
		"style" : "",
		"subpatcher_template" : "",
		"boxes" : [ 			{
				"box" : 				{
					"id" : "obj-5",
					"linecount" : 4,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 345.0, 209.0, 150.0, 60.0 ],
					"style" : "",
					"text" : "dividing this distance by 35.0 gives us a value between 0.0 and 1.0 for the RTcmix script"
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-3",
					"linecount" : 4,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 376.0, 127.0, 150.0, 60.0 ],
					"style" : "",
					"text" : "we are dividing by 35, because that's the distance we started with from the mystic cylinder"
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-18",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "float" ],
					"patching_rect" : [ 318.0, 127.0, 34.0, 22.0 ],
					"style" : "",
					"text" : "/ 35."
				}

			}
, 			{
				"box" : 				{
					"format" : 6,
					"id" : "obj-17",
					"maxclass" : "flonum",
					"numinlets" : 1,
					"numoutlets" : 2,
					"outlettype" : [ "", "bang" ],
					"parameter_enable" : 0,
					"patching_rect" : [ 291.0, 177.0, 50.0, 22.0 ],
					"style" : ""
				}

			}
, 			{
				"box" : 				{
					"floatoutput" : 1,
					"id" : "obj-15",
					"maxclass" : "slider",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"parameter_enable" : 0,
					"patching_rect" : [ 314.0, 81.0, 223.0, 28.0 ],
					"size" : 35.0,
					"style" : ""
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-14",
					"maxclass" : "button",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "bang" ],
					"patching_rect" : [ 184.0, 115.0, 24.0, 24.0 ],
					"style" : ""
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-6",
					"maxclass" : "ezdac~",
					"numinlets" : 2,
					"numoutlets" : 0,
					"patching_rect" : [ 217.0, 286.0, 45.0, 45.0 ],
					"style" : ""
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-1",
					"maxclass" : "newobj",
					"numinlets" : 3,
					"numoutlets" : 3,
					"outlettype" : [ "signal", "signal", "" ],
					"patching_rect" : [ 217.0, 235.0, 70.0, 22.0 ],
					"save" : [ "#N", "rtcmix~", 2, 1, ";", "#X", "restore", 0, 1392, 1392, "// route the output of the WAVETABLE instrument into\r\n// the filter (MOOGVCF)\r\nbus_config(\"WAVETABLE\", \"aux 0-1 out\")\r\nbus_config(\"MOOGVCF\", \"aux 0-1 in\", \"out 0-1\")\r\n\r\n\r\namp = 5000\r\n\r\n// make a sawtooth waveform for the WAVETABLE to use\r\n// this is a very 'buzzy' sound and will work well\r\n// with the filter\r\nwave = maketable(\"wave\", 1000, \"saw\")\r\n\r\n\r\n// schedule 3 WAVETABLEs with slightly different pitches\r\n// this makes a 'fat' multi-oscillator sound\r\n// notice that they play continuously (duration of 9999)\r\nWAVETABLE(0, 9999, amp, 50, 0.5, wave)\r\nWAVETABLE(0, 9999, amp, 50.3, 0.5, wave)\r\nWAVETABLE(0, 9999, amp, 49.95, 0.5, wave)\r\n\r\n// get data coming from the first 'inlet' (for PField use)\r\nloc = makeconnection(\"inlet\", 1, 0.0)\r\n\r\n// the data coming in the inlet will be from 0.0 -- 1.0,\r\n// this makefilter() will cause it to be shifted to 2000 -- 200\r\n// which is the range of filter frequencies we want.\r\n// as we get closer to the mystic cylinder, it will go to 0\r\n// and will give us a cutoff frequency of 2000, which will\r\n// be a relatively 'bright' sound.  Farther away will go to\r\n// 0, which will map onto 200, a more filtered (subdued) sound\r\nfreq = makefilter(loc, \"fitrange\", 2000, 200) \r\n\r\n\r\n// turn on the filter and let it go\r\n// MOOGVCF(outsk, insk, dur, AMP, inputchan, PAN, BYPASS, FILTFREQTABLE, FILTRESONTABLE)\r\nMOOGVCF(0, 0, 9999, 1, 0, 0.5, 0, freq, 0.5)\r\n", ";" ],
					"style" : "",
					"text" : "rtcmix~ 2 1"
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"destination" : [ "obj-6", 1 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-1", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-6", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-1", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-1", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-14", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-18", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-15", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-1", 2 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-17", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-17", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-18", 0 ]
				}

			}
 ],
		"dependency_cache" : [ 			{
				"name" : "rtcmix~.mxo",
				"type" : "iLaX"
			}
 ],
		"autosave" : 0
	}

}
